// https://nuxt.com/docs/api/configuration/nuxt-config
import { fileURLToPath } from "node:url";

export default defineNuxtConfig({
    srcDir: "src",
    devServer: {
        port: 3000,
        host: "0.0.0.0"
    },
    vite: {
        css: {
            preprocessorOptions: {
                scss: {
                    additionalData: '@import "@/style/index.scss";',
                },
            },
        },
    },
    alias: {
        "@": fileURLToPath(new URL("./src/", import.meta.url)),
    },
})
